
From: Adrian Bunk <bunk@stusta.de>

bio_destructor in fs/bio.c isn't used outside of this file, and after quickly
thinking about it I didn't find a reason why it should.

The patch below makes it static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Acked-by: Jens Axboe <axboe@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null        |    0 
 25-akpm/fs/bio.c |    2 +-
 2 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/bio.c~bioc-make-bio_destructor-static-fwd fs/bio.c
--- 25/fs/bio.c~bioc-make-bio_destructor-static-fwd	Thu Dec  9 13:36:56 2004
+++ 25-akpm/fs/bio.c	Thu Dec  9 13:36:56 2004
@@ -91,7 +91,7 @@ static inline struct bio_vec *bvec_alloc
 /*
  * default destructor for a bio allocated with bio_alloc()
  */
-void bio_destructor(struct bio *bio)
+static void bio_destructor(struct bio *bio)
 {
 	const int pool_idx = BIO_POOL_IDX(bio);
 	struct biovec_pool *bp = bvec_array + pool_idx;
diff -L fs/bio.c.old -puN /dev/null /dev/null
_
